package com.engine.organization.entity.department.param;

import com.engine.organization.common.BaseQueryParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/23
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeptSearchParam extends BaseQueryParam {
    private Integer id;
    private String departmentMark;
    private String departmentName;
    private Integer subCompanyId1;
    private Integer supDepId;
    private String allSupDepId;
    private Boolean canceled;
    private String departmentCode;
    private Integer coadjutant;

    private String uuid;
    private Double showOrder;
    private Integer showOrderOfTree;
}
